Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Class FocusCellHighlighter

    java.lang.Object
      org.eclipse.jface.viewers.FocusCellHighlighter

Direct Known Subclasses:
  FocusCellOwnerDrawHighlighter

    public abstract class FocusCellHighlighter

extends Object

Since:
  3.3

Constructor Summary
`FocusCellHighlighter(ColumnViewer viewer)`

Method Summary
`protected void` `focusCellChanged(ViewerCell cell)` Deprecated. use `focusCellChanged(ViewerCell, ViewerCell)` instead
`protected void` `focusCellChanged(ViewerCell newCell, ViewerCell oldCell)` Called by the framework when the focus cell has changed.
`ViewerCell` `getFocusCell()`
`protected void` `init()` This method is called by the framework to initialize this cell highlighter object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FocusCellHighlighter

    public FocusCellHighlighter(ColumnViewer viewer)

Parameters:
  `viewer` -

Method Detail

### getFocusCell

    public ViewerCell getFocusCell()

  Returns:
    the focus cell

### focusCellChanged

    protected void focusCellChanged(ViewerCell cell)

  Deprecated. use `focusCellChanged(ViewerCell, ViewerCell)` instead

  Called by the framework when the focus cell has changed. Subclasses may extend.

  Parameters:
    `cell` - the new focus cell

### focusCellChanged

    protected void focusCellChanged(ViewerCell newCell,
                                    ViewerCell oldCell)

  Called by the framework when the focus cell has changed. Subclasses may extend.

  The default implementation for this method calls focusCellChanged(ViewerCell). Subclasses should override this method rather than `focusCellChanged(ViewerCell)` .

  Parameters:
    `newCell` - the new focus cell or `null` if no new cell receives the focus
    `oldCell` - the old focus cell or `null` if no cell has been focused before
  Since:
    3.4

### init

    protected void init()

  This method is called by the framework to initialize this cell highlighter object. Subclasses may extend.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.